Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1989019 - F35FailsToInstall: percona-xtrabackup, percona-xtrabackup-test
Summary: F35FailsToInstall: percona-xtrabackup, percona-xtrabackup-test
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: percona-xtrabackup
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: FailedQA
: 2123329 2123467 2123473 2123476 (view as bug list)
Depends On: 2021949
Blocks: F35FailsToInstall F36FailsToInstall F37FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-08-02 09:25 UTC by Miro Hrončok
Modified: 2023-05-25 15:58 UTC (History)
4 users (show)

Fixed In Version: percona-xtrabackup-8.0.25_17-4.fc36 percona-xtrabackup-8.0.25_17-2.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-05-25 15:58:57 UTC
Type: ---
Embargoed:
mhroncok: needinfo-
mhroncok: needinfo-


Attachments (Terms of Use)

Description Miro Hrončok 2021-08-02 09:25:47 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (percona-xtrabackup) Fails To Install in Fedora 35:

can't install percona-xtrabackup:
  - nothing provides libcrc.so()(64bit) needed by percona-xtrabackup-8.0.25_17-1.fc35.x86_64
  
can't install percona-xtrabackup-test:
  - nothing provides perl(My::SafeProcess::Base) needed by percona-xtrabackup-test-8.0.25_17-1.fc35.x86_64
  - nothing provides perl(lib::mtr_gcov.pl) needed by percona-xtrabackup-test-8.0.25_17-1.fc35.x86_64
  - nothing provides perl(lib::mtr_gprof.pl) needed by percona-xtrabackup-test-8.0.25_17-1.fc35.x86_64
  - nothing provides perl(lib::mtr_io.pl) needed by percona-xtrabackup-test-8.0.25_17-1.fc35.x86_64
  - nothing provides perl(lib::mtr_lock_order.pl) needed by percona-xtrabackup-test-8.0.25_17-1.fc35.x86_64
  - nothing provides perl(lib::mtr_misc.pl) needed by percona-xtrabackup-test-8.0.25_17-1.fc35.x86_64
  - nothing provides perl(lib::mtr_process.pl) needed by percona-xtrabackup-test-8.0.25_17-1.fc35.x86_64
  - nothing provides perl(mtr_io.pl) needed by percona-xtrabackup-test-8.0.25_17-1.fc35.x86_64
  - nothing provides perl(mtr_misc.pl) needed by percona-xtrabackup-test-8.0.25_17-1.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2021-08-09 21:27:18 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Ben Cotton 2021-08-10 13:33:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 3 Miro Hrončok 2021-09-02 09:31:37 UTC
Hello,

This is the second reminder (step 4 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 4 Petr Pisar 2022-05-13 09:47:54 UTC
libcrc.so seems to be a bundled library:

cd /builddir/build/BUILD/percona-xtrabackup-8.0.25-17/redhat-linux-build/storage/innobase/xtrabackup/src && /usr/bin/cmake -E cmake_link_script CMakeFiles/xbcrypt.dir/link.txt --verbose=1
/usr/bin/g++ -std=c++14 -fno-omit-frame-pointer -ftls-model=initial-exec -O2  -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64  -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -Wall -Wextra -Wformat-security -Wvla -Wundef -Wmissing-format-attribute -Woverloaded-virtual -Wcast-qual -Wimplicit-fallthrough=2 -Wstringop-truncation -Wsuggest-override -Wmissing-include-dirs -Wlogical-op -Wno-unused-parameter -Wno-cast-qual -ffunction-sections -fdata-sections -O2 -g -DNDEBUG  -fuse-ld=gold -Wl,--gc-sections -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld CMakeFiles/xbcrypt.dir/xbcrypt.cc.o CMakeFiles/xbcrypt.dir/xbcrypt_common.cc.o CMakeFiles/xbcrypt.dir/xbcrypt_read.cc.o CMakeFiles/xbcrypt.dir/xbcrypt_write.cc.o CMakeFiles/xbcrypt.dir/datasink.cc.o CMakeFiles/xbcrypt.dir/ds_encrypt.cc.o CMakeFiles/xbcrypt.dir/ds_decrypt.cc.o CMakeFiles/xbcrypt.dir/ds_local.cc.o CMakeFiles/xbcrypt.dir/ds_stdout.cc.o -o ../../../../runtime_output_directory/xbcrypt  -Wl,-rpath,/builddir/build/BUILD/percona-xtrabackup-8.0.25-17/redhat-linux-build/storage/innobase/xtrabackup/src/crc: -laio /usr/lib64/libgcrypt.so /usr/lib64/libgpg-error.so ../../../../archive_output_directory/libmysys.a crc/libcrc.so ../../../../archive_output_directory/libstrings.a ../../../../archive_output_directory/libmysys.a ../../../../archive_output_directory/libstrings.a ../../../../archive_output_directory/libmytime.a ../../../../archive_output_directory/libz.a ../../../../archive_output_directory/libzstd.a -lm /usr/lib64/libssl.so /usr/lib64/libcrypto.so -laio 

The perl() dependencies look like nonpackaged Perl modules.

Comment 5 Paul Wouters 2022-08-22 16:51:38 UTC
It also bundles an older version of boost :/

Comment 6 Paul Wouters 2022-08-22 16:53:18 UTC
and upgrading it causes it to fail on not supporting openssl-3.0

https://kojipkgs.fedoraproject.org//work/tasks/3057/91143057/build.log

Comment 7 Paul Wouters 2022-08-22 21:47:30 UTC
newer versions also bundle libkmip ?

Comment 8 Sven Lankes 2022-08-23 07:00:33 UTC
I'll try to spend some time on fixing this going forward but maybe at some point we need to give up and agree that it is not worth packaging such a monolithic beast in Fedora proper and it would be better suited for copr.

Comment 9 Fedora Update System 2022-08-23 13:00:50 UTC
FEDORA-2022-f90ade0d98 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-f90ade0d98

Comment 10 Fedora Update System 2022-08-23 16:25:37 UTC
FEDORA-2022-abb902da4c has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-abb902da4c

Comment 11 Fedora Update System 2022-08-24 20:12:39 UTC
FEDORA-2022-f90ade0d98 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-f90ade0d98`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-f90ade0d98

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-08-24 20:40:45 UTC
FEDORA-2022-abb902da4c has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-abb902da4c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-abb902da4c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-09-01 09:40:05 UTC
FEDORA-2022-f90ade0d98 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-09-01 09:54:39 UTC
FEDORA-2022-abb902da4c has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Miro Hrončok 2022-09-01 18:42:13 UTC
*** Bug 2123476 has been marked as a duplicate of this bug. ***

Comment 16 Miro Hrončok 2022-09-01 18:42:23 UTC
*** Bug 2123329 has been marked as a duplicate of this bug. ***

Comment 17 Miro Hrončok 2022-09-01 18:42:26 UTC
*** Bug 2123473 has been marked as a duplicate of this bug. ***

Comment 18 Miro Hrončok 2022-09-01 18:43:40 UTC
*** Bug 2123467 has been marked as a duplicate of this bug. ***

Comment 19 Miro Hrončok 2022-09-01 18:46:39 UTC
I've manually tied the update for Fedora 35 and it doe snot fix the installability problem.

Have you been able to successfully install the package?

Comment 20 Ben Cotton 2022-11-29 17:02:45 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 21 Petr Pisar 2022-11-30 09:24:42 UTC
Still a problem in F35 and F36.

Comment 22 Miro Hrončok 2022-12-01 12:22:04 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs) again.

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 23 Miro Hrončok 2022-12-27 16:01:04 UTC
Hello,

This is the second reminder (step 4 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs) again.

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 24 Fedora Fails To Install 2023-01-25 18:43:45 UTC
This package has been orphaned.

You can pick it up at https://src.fedoraproject.org/rpms/percona-xtrabackup by clicking button "Take". If nobody picks it up, it will be retired and removed from a distribution.

Comment 25 Fedora Fails To Install 2023-02-13 22:50:57 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 39.

Thanks for taking care of it!

Comment 26 Fedora Fails To Install 2023-02-13 22:51:41 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 38.

Thanks for taking care of it!

Comment 27 Ben Cotton 2023-04-25 16:43:22 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 28 Ludek Smid 2023-05-25 15:58:57 UTC
Fedora Linux 36 entered end-of-life (EOL) status on 2023-05-16.

Fedora Linux 36 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.